Skip to main content
POST
/
import
Import workspace elements from membrane zip file
curl --request POST \
  --url https://api.getmembrane.com/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form dryRun=false
{
  "jobId": "<string>",
  "accessKey": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

dryRun
boolean
required
partial
boolean
required
diff
boolean
required
force
boolean
required

Body

multipart/form-data
file
file
required

Membrane workspace zip file

dryRun
boolean
default:false

Dry run import to see what changes would be made

Response

200 - application/json

The job id and access key

jobId
string
required
accessKey
string
required